# vim: ft=make ts=4 sw=4 noet
.DEFAULT_GOAL := all

NAME    = apr
VERSION = 1.7.6
GARTYPE = v2

DESCRIPTION = Apache Portable Runtime library
define BLURB
  The Apache Portable Runtime (APR) is a supporting library for Apache
  httpd and Subversion, providing a consistent interface to platform-specific
  routines.
endef

MASTER_SITES = https://dlcdn.apache.org/apr/
DISTFILES   += $(DISTNAME).tar.gz

LICENSE = LICENSE

PACKAGES            += OZSWapr
SPKG_DESC_OZSWapr    = Apache Portable Runtime library
CATALOGNAME_OZSWapr = apr

EXTENSIONS = 1

post-configure:
	@find $(WORKSRC) -name "libtool" -type f -exec \
	    gsed -i 's/ECHO="print -r --"/ECHO="printf %s\\n"/g' {} \;
	@$(MAKECOOKIE)

include gar/category.mk
